<!-- <!DOCTYPE html> -->

<launch>

  <arg name="img_width"        default="1280"/>
  <arg name="img_height"       default="960"/>
  <arg name="write_files"      default="false"/>
  <arg name="folder_name"      default="/Results/ibvs"/>
  <arg name="topic_name"       default="/ar_pose_marker"/>
  <arg name="topic_name_odom"  default="/odom"/>
  <arg name="xp"               default="0.001"/>
  <arg name="xi"               default="0.0"/>
  <arg name="xd"               default="0.0"/>
  <arg name="yp"               default="0.001"/>
  <arg name="yi"               default="0.0"/>
  <arg name="yd"               default="0.0"/>
  <arg name="zp"               default="0.001"/>
  <arg name="zi"               default="0.0"/>
  <arg name="zd"               default="0.0"/>
  <arg name="Rp"               default="0.001"/>
  <arg name="Ri"               default="0.0"/>
  <arg name="Rd"               default="0.0"/>
  <arg name="Pp"               default="0.001"/>
  <arg name="Pi"               default="0.0"/>
  <arg name="Pd"               default="0.0"/>
  <arg name="Yp"               default="0.001"/>
  <arg name="Yi"               default="0.0"/>
  <arg name="Yd"               default="0.0"/>
  <arg name="i_limit"          default="0.0"/>
  
<!-- _____________ iri_Visual_Servo _________-->
<node name="iri_artag_ibvs" pkg="iri_artag_ibvs" type="iri_artag_ibvs"  output="screen">
  <param name="width"         type="int"    value="$(arg img_width)"/>
  <param name="height"        type="int"    value="$(arg img_height)"/>
  <param name="random_points" type="bool"   value="false"/>
  <param name="traditional"   type="bool"   value="false"/>
  <param name="underact"      type="bool"   value="false"/>
  <param name="kp_x"          type="double" value="$(arg xp)"/>
  <param name="ki_x"          type="double" value="$(arg xi)"/>
  <param name="kd_x"          type="double" value="$(arg xd)"/>
  <param name="kp_y"          type="double" value="$(arg yp)"/>
  <param name="ki_y"          type="double" value="$(arg yi)"/>
  <param name="kd_y"          type="double" value="$(arg yd)"/>
  <param name="kp_z"          type="double" value="$(arg zp)"/>
  <param name="ki_z"          type="double" value="$(arg zi)"/>
  <param name="kd_z"          type="double" value="$(arg zd)"/>
  <param name="kp_roll"       type="double" value="$(arg Rp)"/>
  <param name="ki_roll"       type="double" value="$(arg Ri)"/>
  <param name="kd_roll"       type="double" value="$(arg Rd)"/>
  <param name="kp_pitch"      type="double" value="$(arg Pp)"/>
  <param name="ki_pitch"      type="double" value="$(arg Pi)"/>
  <param name="kd_pitch"      type="double" value="$(arg Pd)"/>
  <param name="kp_yaw" 	      type="double" value="$(arg Yp)"/>
  <param name="ki_yaw" 	      type="double" value="$(arg Yi)"/>
  <param name="kd_yaw" 	      type="double" value="$(arg Yd)"/>
  <param name="i_lim"         type="double" value="$(arg i_limit)"/>
  <param name="write_files_"  type="bool" value="$(arg write_files)"/>   
  <param name="folder_name_"  type="string" value="$(arg folder_name)"/>   
  
  <remap from="~input_ARtag" to="$(arg topic_name)"/>
  <remap from="~odom" to="$(arg topic_name_odom)"/>
</node> 

</launch>